//  ANO PO "KSI", 2016

#include "CreationDBResult.h"

CreationDBResult::CreationDBResult(QWidget *parent)
	: QDialog(parent)
{
	createControls();
}

CreationDBResult::CreationDBResult(const QString& filename, const QString& hash, QWidget *parent/*=nullptr*/)
	: QDialog(parent)
{
	createControls();

	m_pDBHashWidget->setFilename(filename);
	m_pDBHashWidget->setHash(hash);
}

CreationDBResult::~CreationDBResult()
{

}

void CreationDBResult::createControls()
{
	QLabel* pLabelSuccess = new QLabel(tr("Checksums file has been created successfully"));

	QPushButton* pButtonClose = new QPushButton(style()->standardIcon(QStyle::SP_DialogCancelButton),tr("Close"));
	QBoxLayout* pLayoutCmd = new QHBoxLayout;
	pLayoutCmd->addStretch(0);
	pLayoutCmd->addWidget(pButtonClose);
	pLayoutCmd->addStretch(0);

	QBoxLayout* pLayoutMain = new QVBoxLayout;
	pLayoutMain->addWidget(pLabelSuccess);
	//pLayoutMain->addLayout(pLayoutLabels);
	pLayoutMain->addWidget(m_pDBHashWidget = new DBHashWidget);
	pLayoutMain->addLayout(pLayoutCmd);

	setLayout(pLayoutMain);

	//connect(pButtonCopy, &QPushButton::clicked, this, &CreationDBResult::copyHashToClipboard);
	connect(pButtonClose, &QPushButton::clicked, this, &CreationDBResult::accept);
}

